/*
 * The Apache Software License, Version 1.1
 *
 *
 * Copyright (c) 2002 The Apache Software Foundation.  All rights 
 * reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:  
 *       "This product includes software developed by the
 *        Apache Software Foundation (http://www.apache.org/)."
 *    Alternately, this acknowledgment may appear in the software itself,
 *    if and wherever such third-party acknowledgments normally appear.
 *
 * 4. The names "WSIF" and "Apache Software Foundation" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written 
 *    permission, please contact apache@apache.org.
 *
 * 5. Products derived from this software may not be called "Apache",
 *    nor may "Apache" appear in their name, without prior written
 *    permission of the Apache Software Foundation.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * ====================================================================
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Apache Software Foundation and was
 * originally based on software copyright (c) 2001, 2002, International
 * Business Machines, Inc., http://www.apache.org.  For more
 * information on the Apache Software Foundation, please see
 * <http://www.apache.org/>.
 */

package org.w3._2001.xmlschema.myeis.myeis;

import java.io.*;
import org.apache.wsif.providers.jca.WSIFFormatHandler_JCA;


public class StringFormatHandler implements WSIFFormatHandler_JCA {


	private String fieldValue = null;


	/**
	 * @see JCAFormatHandler#read(InputStream)
	 */
	public void read(InputStream inputStream) throws IOException {
		
		try {
			ObjectInputStream objectInputStream = new ObjectInputStream(inputStream);
			this.fieldValue =
				(String)objectInputStream.readObject();
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
			throw new IOException("class not found !");
		}	
	}


	/**
	 * @see JCAFormatHandler#write(OutputStream)
	 */
	public void write(OutputStream outputStream) throws IOException {

        ObjectOutputStream objectOutputStream = new ObjectOutputStream(outputStream);
        objectOutputStream.writeObject(this.fieldValue);
        objectOutputStream.flush();
	}


	/**
	 * @see WSIFFormatHandler#getElement(String)
	 */
	public Object getElement(String elementName) {
		return null;
	}


	/**
	 * @see WSIFFormatHandler#setElement(String, Object)
	 */
	public void setElement(String elementName, Object element) {
	}


	/**
	 * @see WSIFFormatHandler#getElement(String, int)
	 */
	public Object getElement(String name, int index) {
		return null;
	}


	/**
	 * @see WSIFFormatHandler#setElement(String, int, Object)
	 */
	public void setElement(String name, int index, Object value) {
	}


	/**
	 * @see WSIFFormatHandler#getObjectPart()
	 */
	public Object getObjectPart() {
		return this.fieldValue;
	}


	/**
	 * @see WSIFFormatHandler#getObjectPart(Class)
	 */
	public Object getObjectPart(Class sourceClass) {
		return null;
	}


	/**
	 * @see WSIFFormatHandler#getCharPart()
	 */
	public char getCharPart() {
		return 0;
	}


	/**
	 * @see WSIFFormatHandler#getBytePart()
	 */
	public byte getBytePart() {
		return 0;
	}


	/**
	 * @see WSIFFormatHandler#getShortPart()
	 */
	public short getShortPart() {
		return 0;
	}


	/**
	 * @see WSIFFormatHandler#getIntPart()
	 */
	public int getIntPart() {
		return 0;
	}


	/**
	 * @see WSIFFormatHandler#getLongPart()
	 */
	public long getLongPart() {
		return 0;
	}


	/**
	 * @see WSIFFormatHandler#getFloatPart()
	 */
	public float getFloatPart() {
		return 0;
	}


	/**
	 * @see WSIFFormatHandler#getDoublePart()
	 */
	public double getDoublePart() {
		return 0;
	}


	/**
	 * @see WSIFFormatHandler#setObjectPart(Object)
	 */
	public void setObjectPart(Object objectPart) {
		this.fieldValue = (String)objectPart;
	}


	/**
	 * @see WSIFFormatHandler#setCharPart(char)
	 */
	public void setCharPart(char charPart) {
	}


	/**
	 * @see WSIFFormatHandler#setBytePart(byte)
	 */
	public void setBytePart(byte bytePart) {
	}


	/**
	 * @see WSIFFormatHandler#setShortPart(short)
	 */
	public void setShortPart(short shortPart) {
	}


	/**
	 * @see WSIFFormatHandler#setIntPart(int)
	 */
	public void setIntPart(int intPart) {
	}


	/**
	 * @see WSIFFormatHandler#setLongPart(long)
	 */
	public void setLongPart(long longPart) {
	}


	/**
	 * @see WSIFFormatHandler#setFloatPart(float)
	 */
	public void setFloatPart(float floatPart) {
	}


	/**
	 * @see WSIFFormatHandler#setDoublePart(double)
	 */
	public void setDoublePart(double doublePart) {
	}

	public void setPartQName(javax.xml.namespace.QName qname){
	}
	
	public javax.xml.namespace.QName getPartQName(){
		return null;
	}

	public void setInteractionSpec(javax.resource.cci.InteractionSpec is){
		
	}
}


