/*
 * The Apache Software License, Version 1.1
 *
 *
 * Copyright (c) 2002 The Apache Software Foundation.  All rights 
 * reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:  
 *       "This product includes software developed by the
 *        Apache Software Foundation (http://www.apache.org/)."
 *    Alternately, this acknowledgment may appear in the software itself,
 *    if and wherever such third-party acknowledgments normally appear.
 *
 * 4. The names "WSIF" and "Apache Software Foundation" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written 
 *    permission, please contact apache@apache.org.
 *
 * 5. Products derived from this software may not be called "Apache",
 *    nor may "Apache" appear in their name, without prior written
 *    permission of the Apache Software Foundation.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * ====================================================================
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Apache Software Foundation and was
 * originally based on software copyright (c) 2001, 2002, International
 * Business Machines, Inc., http://www.apache.org.  For more
 * information on the Apache Software Foundation, please see
 * <http://www.apache.org/>.
 */

package shop;

/**
 * Creation date: (8/4/2001 2:33:16 PM)
 * @author <a href="mailto:gpfau@de.ibm.com">Gerhard Pfau</a>
 */
public class Item implements Cloneable, java.io.Serializable
{
	private java.lang.String fieldNumber;
	private java.lang.String fieldName;
	private int fieldQuantity;
	private long fieldPrice;
/**
 * Item constructor comment.
 */
public Item() {
	super();
}
/**
 * Item constructor comment.
 */
public Item(String itemNumber, String itemName, int itemQuantity) 
{
	super();
	fieldNumber = itemNumber ;
	fieldName = itemName ;
	fieldQuantity = itemQuantity ;
}
	public Object clone() 
	{
		Object obj = null ;
		try
		{
			obj = super.clone() ;
		}
		catch(CloneNotSupportedException ex)
		{
			// Should never happen
		}
	  return obj ;
	}
/**
 * Creation date: (8/4/2001 2:47:20 PM)
 * @return java.lang.String
 */
public java.lang.String getName() {
	return fieldName;
}
/**
 * Creation date: (8/4/2001 2:46:56 PM)
 * @return java.lang.String
 */
public java.lang.String getNumber() {
	return fieldNumber;
}
/**
 * Creation date: (8/4/2001 3:08:47 PM)
 * @return long
 */
public long getPrice() {
	return fieldPrice;
}
/**
 * Creation date: (8/4/2001 2:47:35 PM)
 * @return int
 */
public int getQuantity() {
	return fieldQuantity;
}
/**
 * Creation date: (8/4/2001 2:47:20 PM)
 * @param newName java.lang.String
 */
public void setName(java.lang.String newName) {
	fieldName = newName;
}
/**
 * Creation date: (8/4/2001 2:46:56 PM)
 * @param newNumber java.lang.String
 */
public void setNumber(java.lang.String newNumber) {
	fieldNumber = newNumber;
}
/**
 * Creation date: (8/4/2001 3:08:47 PM)
 * @param newPrice long
 */
public void setPrice(long newPrice) {
	fieldPrice = newPrice;
}
/**
 * Creation date: (8/4/2001 2:47:35 PM)
 * @param newQuantity int
 */
public void setQuantity(int newQuantity) {
	fieldQuantity = newQuantity;
}
public String toString()
{
	return super.toString() + 
		"\nname     = " + fieldName + 
		"\nnumber   = " + fieldNumber + 
		"\nprice    = " + fieldPrice + 
		"\nquantity = " + fieldQuantity ;

}
}
